module Main
  VERSION = '0.0.2'
  def version() VERSION end

  LIBDIR = File.join(File.dirname(File.expand_path(__FILE__)), self.name.downcase, '')

  EXIT_SUCCESS = 0
  EXIT_FAILURE = 1
  EXIT_WARN = 42
#
# built-in
#
  require 'logger'
  require 'enumerator'
#
# inlcuded from other codeforpeople.com projects
#
  require LIBDIR + 'attributes'
  require LIBDIR + 'arrayfields'
#
# main libs
#
  require LIBDIR + 'util'
  require LIBDIR + 'usage'
  require LIBDIR + 'cast'
  require LIBDIR + 'parameter'
  require LIBDIR + 'getoptlong'
  require LIBDIR + 'proxy'
  require LIBDIR + 'base'
  require LIBDIR + 'factories'
end

