module Main
  def self.new *a, &b
    klass = Class.new Base
    klass.default_options!
    klass.class_eval &b if b
    main = klass.new *a, &b
    Proxy.new main
  end

  module ::Kernel
    def Main *a, &b
      ::Main.new(*a, &b).run
    end
    alias_method 'main', 'Main'
  end
end
